# PhasicFlow: stridedRange< T > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

stridedRange< T > Class Template Reference
Inheritance diagram for stridedRange< T >:
[legend]

## Public Member Functions

| TypeInfoTemplateNV11 ("stridedRange", T)
| stridedRange ()=default
| stridedRange (T begin, T end, T stride)
| stridedRange (T begin, T stride)
| stridedRange (const word &rangeString)
| stridedRange (const dictionary &dict)
T | begin () const
T | end () const
T | stride () const
bool | isInRange (T val) const
bool | isMember (T val, T epsilon=0) const
bool | isMember (real val, real epsilon) const

## Static Public Member Functions

static bool | parseRange (const word &rangeString, T &begin, T &end, T &stride)

## Protected Attributes

T | begin_ = 0
T | end_ = 1
T | stride_ = 1

## Static Protected Attributes

static const T | maxVal = largestPositive<T>()
static const T | minVal = largestNegative<T>()

## Detailed Description

### template<typename T>
class pFlow::stridedRange< T >

Definition at line 34 of file stridedRange.hpp.

## Constructor & Destructor Documentation

## stridedRange() [1/5]

stridedRange | ( |  | ) |

default

## stridedRange() [2/5]

stridedRange | ( | T | begin,
|  | T | end,
|  | T | stride
| ) |  |

inline

Definition at line 54 of file stridedRange.hpp.

## stridedRange() [3/5]

stridedRange | ( | T | begin,
|  | T | stride
| ) |  |

inline

Definition at line 61 of file stridedRange.hpp.

## stridedRange() [4/5]

stridedRange | ( | const word & | rangeString | ) |

inline

Definition at line 70 of file stridedRange.hpp.

## stridedRange() [5/5]

stridedRange | ( | const dictionary & | dict | ) |

inline

Definition at line 80 of file stridedRange.hpp.

## Member Function Documentation

## TypeInfoTemplateNV11()

TypeInfoTemplateNV11 | ( | "stridedRange< T >" | ,
|  | T |
| ) |  |

## begin()

T begin | ( |  | ) | const

inline

Definition at line 88 of file stridedRange.hpp.

## end()

T end | ( |  | ) | const

inline

Definition at line 93 of file stridedRange.hpp.

## stride()

T stride | ( |  | ) | const

inline

Definition at line 98 of file stridedRange.hpp.

## isInRange()

bool isInRange | ( | T | val | ) | const

inline

Definition at line 104 of file stridedRange.hpp.

## isMember() [1/2]

bool isMember | ( | T | val,
|  | T | epsilon = `0`
| ) |  | const

inline

Definition at line 110 of file stridedRange.hpp.

Referenced by timeControl::screenReport().

Here is the caller graph for this function:

## parseRange()

static bool parseRange | ( | const word & | rangeString,
|  | T & | begin,
|  | T & | end,
|  | T & | stride
| ) |  |

inlinestatic

Definition at line 121 of file stridedRange.hpp.

Referenced by combinedRange< T >::addStridedRange().

Here is the caller graph for this function:

## isMember() [2/2]

bool isMember | ( | real | val,
|  | real | epsilon
| ) |  | const

inline

Definition at line 154 of file stridedRange.hpp.

## Member Data Documentation

## begin_

T begin_ = 0

protected

Definition at line 39 of file stridedRange.hpp.

## end_

T end_ = 1

protected

Definition at line 41 of file stridedRange.hpp.

## stride_

T stride_ = 1

protected

Definition at line 43 of file stridedRange.hpp.

## maxVal

const T maxVal = largestPositive<T>()

inlinestaticprotected

Definition at line 45 of file stridedRange.hpp.

## minVal

const T minVal = largestNegative<T>()

inlinestaticprotected

Definition at line 46 of file stridedRange.hpp.

The documentation for this class was generated from the following file:

- src/phasicFlow/ranges/stridedRange.hpp